
module dwt.util.eventobject;

/**
 * The root class from which all event state objects shall be derived.
 * All Events are constructed with a reference to the object, the "source",
 * that is logically deemed to be the object upon which the Event in question
 * initially occurred upon.
 */

public class EventObject { //implements java.io.Serializable {
    /**
     * The object on which the Event initially occurred.
     */
    protected Object source;

    /**
     * Constructs a prototypical Event.
     */
    public this(Object source) {
   if (source == null)
       throw new Exception("null source");
       this.source = source;
    }

    /**
     * The object on which the Event initially occurred.
     */
    public Object getSource() {
        return source;
    }

    /**
     * Returns a String representation of this EventObject.
     */
    public char[] toString() {
//        return getClass().getName() + "[source=" + source + "]";
        return "[source=" ~ source.toString() ~ "]";
    }
}